# 🇸🇦 Saudi Riyal Font  

**A community-maintained open-source font for the Saudi Riyal currency symbol.**  

This font allows you to use the **Saudi Riyal symbol** in websites, applications, and documents, ensuring compatibility where the symbol is not natively supported.  

![Saudi Riyal Symbol](examples/saudi_riyal-sample.jpg)

---

**📦 Package Information**

[![NPM Version](https://img.shields.io/npm/v/@emran-alhaddad/saudi-riyal-font)](https://www.npmjs.com/package/@emran-alhaddad/saudi-riyal-font)
[![NPM Downloads](https://img.shields.io/npm/dt/@emran-alhaddad/saudi-riyal-font?label=npm%20downloads)](https://www.npmjs.com/package/@emran-alhaddad/saudi-riyal-font)
[![jsDelivr Hits](https://img.shields.io/jsdelivr/npm/hm/@emran-alhaddad/saudi-riyal-font)](https://www.jsdelivr.com/package/npm/@emran-alhaddad/saudi-riyal-font)
[![Font Size](https://img.shields.io/badge/Font%20Size-Lightweight-success)](https://github.com/emran-alhaddad/Saudi-Riyal-Font)
[![Unicode](https://img.shields.io/badge/Unicode-U%2BE900-blueviolet)](https://emran-alhaddad.github.io/Saudi-Riyal-Font/examples/demo.html)

**📊 Repository Stats**

[![GitHub Stars](https://img.shields.io/github/stars/emran-alhaddad/Saudi-Riyal-Font)](https://github.com/emran-alhaddad/Saudi-Riyal-Font/stargazers)
[![GitHub Forks](https://img.shields.io/github/forks/emran-alhaddad/Saudi-Riyal-Font)](https://github.com/emran-alhaddad/Saudi-Riyal-Font/network/members)
[![GitHub Issues](https://img.shields.io/github/issues/emran-alhaddad/Saudi-Riyal-Font)](https://github.com/emran-alhaddad/Saudi-Riyal-Font/issues)
[![Code Size](https://img.shields.io/github/languages/code-size/emran-alhaddad/Saudi-Riyal-Font)](https://github.com/emran-alhaddad/Saudi-Riyal-Font)
[![Contributors](https://img.shields.io/github/contributors/emran-alhaddad/Saudi-Riyal-Font)](https://github.com/emran-alhaddad/Saudi-Riyal-Font/graphs/contributors)
[![GitHub release](https://img.shields.io/github/release/emran-alhaddad/Saudi-Riyal-Font)](https://github.com/emran-alhaddad/Saudi-Riyal-Font/releases)
[![GitHub last commit](https://img.shields.io/github/last-commit/emran-alhaddad/Saudi-Riyal-Font)](https://github.com/emran-alhaddad/Saudi-Riyal-Font/commits)

**🔄 Compatibility**

[![Browsers Support](https://img.shields.io/badge/Browsers-Chrome%20%7C%20Firefox%20%7C%20Safari%20%7C%20Edge-brightgreen)](https://emran-alhaddad.github.io/Saudi-Riyal-Font/examples/demo.html)
[![Platforms](https://img.shields.io/badge/Platforms-Windows%20%7C%20Mac%20%7C%20Linux%20%7C%20Android%20%7C%20iOS-blue)](https://github.com/emran-alhaddad/Saudi-Riyal-Font)
[![TypeScript Ready](https://img.shields.io/badge/TypeScript-Ready-blue)](https://www.typescriptlang.org/)

**📈 Project Status**

[![License](https://img.shields.io/badge/license-OFL--1.1-blue)](https://github.com/emran-alhaddad/Saudi-Riyal-Font/blob/main/LICENSE.txt)
[![Website](https://img.shields.io/website?url=https%3A%2F%2Femran-alhaddad.github.io%2FSaudi-Riyal-Font%2Fexamples%2Fdemo.html)](https://emran-alhaddad.github.io/Saudi-Riyal-Font/examples/demo.html)
[![Maintenance](https://img.shields.io/badge/Maintained%3F-yes-green.svg)](https://github.com/emran-alhaddad/Saudi-Riyal-Font/graphs/commit-activity)
[![PRs Welcome](https://img.shields.io/badge/PRs-welcome-brightgreen.svg)](https://github.com/emran-alhaddad/Saudi-Riyal-Font/pulls)
[![Open Source](https://badges.frapsoft.com/os/v1/open-source.svg?v=103)](https://opensource.org/)

**👥 Social**

[![LinkedIn Follow](https://img.shields.io/badge/LinkedIn-Follow-blue?style=social&logo=linkedin)](https://www.linkedin.com/in/emran-alhaddad/)
[![Made with Love](https://img.shields.io/badge/Made%20with-❤️-red)](https://github.com/emran-alhaddad)
[![Awesome Badges](https://img.shields.io/badge/badges-awesome-green.svg)](https://github.com/emran-alhaddad/Saudi-Riyal-Font)

## 🌍 Live Demo  
🎉 **Check out the live demo here:**  
🔗 [Saudi Riyal Font Demo](https://emran-alhaddad.github.io/Saudi-Riyal-Font/examples/demo.html)  

Below is a screenshot of the example demo page:  

![Example Demo](examples/example-demo.png)

---

## 📌 Features  
👉 **Cross-Platform Compatibility** – Works on Windows, macOS, Linux, Web, and Mobile.  
👉 **Unicode Private Use Area (`U+E900`)** – Ensures seamless integration.  
👉 **Web-Optimized** – Includes `.woff`, `.woff2`, and `.ttf` formats for fast loading.  
👉 **NPM Support** – Easily install via NPM for web projects.  
👉 **CDN Hosting** – Use without installation via **jsDelivr** or **unpkg**.  
👉 **Open Source & Free** – Released under the **SIL Open Font License (OFL)**.  
👉 **Customizable** – Modify and enhance as needed.  

---

## 💍 Installation & Usage  

### **1️⃣ Install via NPM (Recommended for Web Developers)**  
The easiest way to use this font in a web project is by installing it via NPM:  

```sh
npm install @emran-alhaddad/saudi-riyal-font
```

Then, import it in your project:  

```js
import '@emran-alhaddad/saudi-riyal-font/index.css';
```

Use it in HTML:  

```html
<span class="icon-saudi_riyal"></span>
```

Alternatively, insert the symbol using Unicode:  

```html
<span style="font-family: 'saudi_riyal'">&#xE900;</span>
```

---

### **2️⃣ Web Usage via CDN (No Installation Needed)**  

#### **📌 Use jsDelivr CDN**
```html
<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/@emran-alhaddad/saudi-riyal-font/index.css">
```

#### **📌 Use unpkg CDN**
```html
<link rel="stylesheet" href="https://unpkg.com/@emran-alhaddad/saudi-riyal-font/index.css">
```

#### **CDN HTML Example:**
```html
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Saudi Riyal Font Demo</title>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/@emran-alhaddad/saudi-riyal-font/index.css">
</head>
<body>

    <h1>Saudi Riyal Font Demo</h1>
    <p>Price: <span class="icon-saudi_riyal"></span> 100</p>

</body>
</html>
```

---

## 📝 Setup for Desktop & Mobile Devices  

### **3️⃣ Download & Install on Windows, Mac, Linux, Android, iOS**  
#### **📂 Download Saudi Riyal Font Files:**  
📂 **[Download Saudi Riyal Font](https://github.com/emran-alhaddad/Saudi-Riyal-Font/blob/main/fonts/saudi_riyal.ttf)**  

### **🖥 Windows Installation**  
1. Download `saudi_riyal.ttf` from the link above.  
2. Right-click the file and select **"Install"**.  
3. Open **Microsoft Word, Photoshop, or any editor**, select **"Saudi Riyal"** as the font.  
4. Type `E900` and press `Alt + X` to display the Saudi Riyal symbol.  

### **💻 Mac Installation**  
1. Download `saudi_riyal.ttf` from the link above.  
2. Double-click the file and select **"Install Font"**.  
3. Open any text editor (e.g., Pages, Photoshop), select **"Saudi Riyal"** as the font.  
4. Type `E900` to insert the Riyal symbol.  

### **🐧 Linux Installation**  
1. Copy the font to your local fonts directory:  
   ```sh
   cp saudi_riyal.ttf ~/.fonts/
   fc-cache -fv
   ```  
2. Use it in applications that support custom fonts.  

### **🌐 Mobile Installation (Android & iOS)**  
1. Download `saudi_riyal.ttf` to your phone.  
2. **Android:** Use **iFont** or **FontFix** apps to install.  
3. **iOS:** Install via **iFont** or a font management app.  
4. Use in supported apps like Word, Photoshop, or Notes.  

---

## 🌟 Development & Contributions  
We welcome **contributions!** To contribute:  
1. **Fork** this repository.  
2. **Make your changes** (improve the font, add glyphs).  
3. **Submit a Pull Request** for review.  

If you find issues, please report them via the [Issues](https://github.com/emran-alhaddad/saudi-riyal-font/issues) section.  

---

## 📚 License  
This font is released under the **SIL Open Font License (OFL)**.  
✅ **Attribution is required!**  

📌 **Created by:** **Emran Alhaddad**  
📧 **Contact:** emran.alhaddad.dev@gmail.com  

📢 **Any usage, modification, or distribution must credit the original creator.**  
```
Saudi Riyal Font © Emran Alhaddad - Used under SIL Open Font License 1.1
```

---

## 📧 Contact  
📩 For questions, feedback, or collaborations, reach out via [GitHub Issues](https://github.com/emran-alhaddad/saudi-riyal-font/issues) or email at **emran.alhaddad.dev@gmail.com**.  

---

🚀 **Enjoy the Saudi Riyal Font!**  
